#!/bin/sh
# prerm for doc-base

# Abort if any command returns an error value
set -e

package=doc-base

if [ "$DEBUG" ]; then
    echo entering $package prerm
    set -x
fi

remove_docs ( ) {
  if which install-docs >/dev/null 2>&1; then
    install-docs ${VERBOSE} --no-update-menus -r $package || true
    install-docs ${VERBOSE} -r install-docs-man || true
  else    
    echo "cannot find install-docs on path" 1>&2
  fi
}

remove_all_docs ( ) {
    if which install-docs >/dev/null 2>&1; then
        echo "unregistering documentation ..."
        for file in /var/lib/doc-base/info/*.status; do
            [ -f "$file" ] && install-docs ${VERBOSE} --no-update-menus -r "`basename "$file" .status`" || true
        done

    	if [ -x /usr/bin/update-menus ]; then
        	/usr/bin/update-menus
    	fi
    	if [ -x /usr/bin/scrollkeeper-update ]; then
        	/usr/bin/scrollkeeper-update
    	fi
    else
	# error because this *is* the doc-base package
	echo "cannot find install-docs on path" 1>&2
	exit 1
    fi
}


case "$1" in
  remove)
    remove_all_docs
    ;;
  upgrade)
    remove_docs
    ;;
  failed-upgrade)
    # Prepare to upgrade from version $2 of this package TO THIS VERSION.
    # This is only used if the old version's prerm couldn't handle it,
    # and returned non-zero.  (Fix old prerm bugs here.)
    ;;
esac

#DEBHELPER#

exit 0
